GIRAFFE_DECLARE_FIELD(PangoAttribute, pango_attribute, start_index)
GIRAFFE_DECLARE_FIELD(PangoAttribute, pango_attribute, end_index)
GIRAFFE_DECLARE_FIELD(PangoColor, pango_color, red)
GIRAFFE_DECLARE_FIELD(PangoColor, pango_color, green)
GIRAFFE_DECLARE_FIELD(PangoColor, pango_color, blue)
GIRAFFE_DECLARE_VALUE_RECORD(PangoGlyphGeometry, pango_glyph_geometry)
GIRAFFE_DECLARE_FIELD(PangoGlyphGeometry, pango_glyph_geometry, width)
GIRAFFE_DECLARE_FIELD(PangoGlyphGeometry, pango_glyph_geometry, x_offset)
GIRAFFE_DECLARE_FIELD(PangoGlyphGeometry, pango_glyph_geometry, y_offset)
GIRAFFE_DECLARE_VALUE_RECORD(PangoGlyphInfo, pango_glyph_info)
GIRAFFE_DECLARE_FIELD(PangoGlyphInfo, pango_glyph_info, glyph)
GIRAFFE_DECLARE_FIELD(PangoGlyphInfo, pango_glyph_info, geometry)
GIRAFFE_DECLARE_FIELD(PangoGlyphInfo, pango_glyph_info, attr)
GIRAFFE_DECLARE_FIELD(PangoGlyphItem, pango_glyph_item, item)
GIRAFFE_DECLARE_FIELD(PangoGlyphItem, pango_glyph_item, glyphs)
GIRAFFE_DECLARE_FIELD(PangoGlyphItemIter, pango_glyph_item_iter, glyph_item)
GIRAFFE_DECLARE_FIELD(PangoGlyphItemIter, pango_glyph_item_iter, text)
GIRAFFE_DECLARE_FIELD(PangoGlyphItemIter, pango_glyph_item_iter, start_glyph)
GIRAFFE_DECLARE_FIELD(PangoGlyphItemIter, pango_glyph_item_iter, start_index)
GIRAFFE_DECLARE_FIELD(PangoGlyphItemIter, pango_glyph_item_iter, start_char)
GIRAFFE_DECLARE_FIELD(PangoGlyphItemIter, pango_glyph_item_iter, end_glyph)
GIRAFFE_DECLARE_FIELD(PangoGlyphItemIter, pango_glyph_item_iter, end_index)
GIRAFFE_DECLARE_FIELD(PangoGlyphItemIter, pango_glyph_item_iter, end_char)
GIRAFFE_DECLARE_FIELD(PangoGlyphString, pango_glyph_string, num_glyphs)
GIRAFFE_DECLARE_FIELD(PangoGlyphString, pango_glyph_string, glyphs)
GIRAFFE_DECLARE_VALUE_RECORD(PangoGlyphVisAttr, pango_glyph_vis_attr)
GIRAFFE_DECLARE_FIELD(PangoItem, pango_item, offset)
GIRAFFE_DECLARE_FIELD(PangoItem, pango_item, length)
GIRAFFE_DECLARE_FIELD(PangoItem, pango_item, num_chars)
GIRAFFE_DECLARE_FIELD(PangoLayoutLine, pango_layout_line, layout)
GIRAFFE_DECLARE_FIELD(PangoLayoutLine, pango_layout_line, start_index)
GIRAFFE_DECLARE_FIELD(PangoLayoutLine, pango_layout_line, length)
GIRAFFE_DECLARE_VALUE_RECORD(PangoLogAttr, pango_log_attr)
GIRAFFE_DECLARE_FIELD(PangoMatrix, pango_matrix, xx)
GIRAFFE_DECLARE_FIELD(PangoMatrix, pango_matrix, xy)
GIRAFFE_DECLARE_FIELD(PangoMatrix, pango_matrix, yx)
GIRAFFE_DECLARE_FIELD(PangoMatrix, pango_matrix, yy)
GIRAFFE_DECLARE_FIELD(PangoMatrix, pango_matrix, x0)
GIRAFFE_DECLARE_FIELD(PangoMatrix, pango_matrix, y0)
GIRAFFE_DECLARE_VALUE_RECORD(PangoRectangle, pango_rectangle)
GIRAFFE_DECLARE_FIELD(PangoRectangle, pango_rectangle, x)
GIRAFFE_DECLARE_FIELD(PangoRectangle, pango_rectangle, y)
GIRAFFE_DECLARE_FIELD(PangoRectangle, pango_rectangle, width)
GIRAFFE_DECLARE_FIELD(PangoRectangle, pango_rectangle, height)
